Bug 446822 - Samba: can not view server shares
Samba: can not view server shares
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 06:26 EDT by The Source
Modified: 2015-03-03 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:19:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 524485 None None None Never

  None (edit)
Description The Source 2008-05-16 06:26:19 EDT
Description of problem:
I can view folder contents (smb://servername/foldername), but if I try to just
view all shares of the server (smb://servername), nautilus shows 0 objects.
Worked fine in Fedora 8.

Version-Release number of selected component (if applicable):
2.22.2-7.fc9.i386

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Simo Sorce 2008-05-19 13:56:00 EDT
I was able to browse by adding "samba" as a trusted service in
system-config-firewall
Apparently in F9 the defaults are stricter, can you check if "opening" the
firewall solves the issues for you ?
Comment 2 The Source 2008-05-19 14:52:34 EDT
Of course I allowed samba in firewall in the first place. That's not the
problem. Strange but I can see shares of my own computer but not the others (I
can access other PCs shares by typing full path manually however). However using
smbclient in the command line shows shares properly.
Comment 3 The Source 2008-05-21 03:15:31 EDT
Note: konqueror asks for password and shows shares properly.
Comment 4 Tomáš Bžatek 2008-05-21 09:23:43 EDT
So, the list of shares can be obtained only when authenticated to the server? In
gvfs, we don't have auth support in gvfsd-smb-browse backend yet, we only do
anonymous login. That might be the problem here. Authentication is supported
only when directly mounting the share - i.e. smb://server/share/

There's a general bug logged on this, but the patch needs major redesign:
http://bugzilla.gnome.org/show_bug.cgi?id=524485
Comment 5 Patrick Steiner 2008-05-28 04:46:34 EDT
i also can confirm this bug with nautilus 2.22.2 on fedora 9
Comment 6 Fedora Update System 2008-12-05 10:03:37 EST
gvfs-1.0.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-2.fc10
Comment 7 Tomáš Bžatek 2008-12-05 10:36:04 EST
If possible, please test the updated packages (Fedora 10 only), read the notes posted in the link above and report any issues. 

Fedora 9 packages will follow soon, after we gather some feedback from the testing.
Comment 8 Fedora Update System 2008-12-06 23:25:37 EST
gvfs-1.0.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10848
Comment 9 The Source 2008-12-08 03:10:51 EST
I tested this update. Shares are displayed now and password is requested when needed, thank you.
Comment 10 Fedora Update System 2008-12-09 15:41:27 EST
gvfs-1.0.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-3.fc10
Comment 11 Fedora Update System 2008-12-11 03:03:16 EST
gvfs-1.0.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11176
Comment 12 Fedora Update System 2008-12-16 12:10:29 EST
gvfs-1.0.3-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-4.fc10
Comment 13 Fedora Update System 2008-12-21 03:19:02 EST
gvfs-1.0.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.